Subject: Re: [PATCH v5 13/15] Reftable support for git-core

From: Junio C Hamano <[email-masked]>
Date: Tue, 23 Mar 2021 13:14:51 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> On Tue, Mar 23 2021, Derrick Stolee wrote:
>
>> On 3/12/2021 3:19 PM, Han-Wen Nienhuys via GitGitGadget wrote:
>>> diff --git a/Documentation/config/extensions.txt b/Documentation/config/extensions.txt
>>> index 4e23d73cdcad..82c5940f1434 100644
>>> --- a/Documentation/config/extensions.txt
>>> +++ b/Documentation/config/extensions.txt
>>> @@ -6,3 +6,12 @@ extensions.objectFormat::
>>>  Note that this setting should only be set by linkgit:git-init[1] or
>>>  linkgit:git-clone[1].  Trying to change it after initialization will not
>>>  work and will produce hard-to-diagnose issues.
>>> ++
>>
>> I noticed while resolving conflicts with my series, which also edits this
>> file, that the "+" line above should be removed. That likely munges the
>> fact that the config entry below should be its own list item, not a
>> continuation of the previous one.
>
> I haven't tested this patch, but just a plug for the very useful
> Documentation/doc-diff for discovering any such formatting errors when
> making non-trivial doc changes.

Yup, doc-diff is a useful tool to try.  I recall however in this
particular case there was no difference in the rendered output, even
though a blank line that separates two enumerated items is
semantically more correct than a plus-alone line that adds another
paragraph to the single item.